Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		libisoburn
Version:	0.3.8
Release:	1
License:	GNU/GPLv2
URL:		http://libburnia-project.org
Group:		Archiving/CD Burning
Summary:	Frontend for libburn and libisofs
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.pl00.tar.gz

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libacl-devel
BuildRequires: libattr-devel
BuildRequires: libburn-devel
BuildRequires: libisofs-devel

%description
libisoburn is a frontend for libraries libburn and libisofs which enables creation
and expansion of ISO-9660 filesystems on all CD/DVD/BD media supported by libburn.
This includes media like DVD+RW, which do not support multi-session management
on media level and even plain disk files or block devices.
The price for that is thorough specialization on data files in
ISO-9660 filesystem images.
So libisoburn is not suitable for audio (CD-DA) or any other CD layout which does
not entirely consist of ISO-9660 sessions.
For more general writing of CD/DVD/BD see libburn and its
command line application cdrskin.

%package	devel
Summary:	%{name} development headers.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-debug

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%doc AUTHORS CONTRIBUTORS COPYING COPYRIGHT README TODO
%_bindir
%_libdir/*.so.*
%_mandir

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so
%_pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri May 08 2009 Christian Wasem <wasem@ccux-linux.de> 0.3.8.pl00-1
- Version update
* Sat Apr 04 2009 Christian Wasem <wasem@ccux-linux.de> 0.3.6.pl00-1
- initial CCux package release
